<?php

namespace domain\Order\OrderStatus;

use domain\_\AbstractDefinition;

class OrderStatusDefinition extends AbstractDefinition
{
    public function getEntityFqcn(): string
    {
        return OrderStatus::class;
    }

    public function getOrderStatusList(): array
    {
        return [
            OrderStatus::ALIAS_ORDERED => [
                'label' => 'Ajoutée'
            ],
            OrderStatus::ALIAS_UPDATED => [
                'label' => 'Modifiée'
            ],
            OrderStatus::ALIAS_CANCELED => [
                'label' => 'Annulée'
            ],
            OrderStatus::ALIAS_DELETED => [
                'label' => 'Supprimée'
            ]
        ];
    }
}